Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp	(revision 132)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue.cpp	(revision 136)
@@ -36,5 +36,5 @@
     ,_usage            (usage)
   {
-    log_printf(FUNC,Register_unit_Glue,FUNCTION,"Begin");
+    log_printf(FUNC,Register_unit_Glue,FUNCTION,_("<%s> Begin"),_name.c_str());
 
 // #if DEBUG_Register_unit_Glue == true
@@ -44,5 +44,5 @@
 // #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Allocation");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Allocation"),_name.c_str());
     allocation ();
 
@@ -50,5 +50,5 @@
     if (usage_is_set(_usage,USE_STATISTICS))
       {
-        log_printf(INFO,Register_unit_Glue,FUNCTION,"Allocation of statistics");
+        log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Allocation of statistics"),_name.c_str());
         
         // Allocation of statistics
@@ -61,5 +61,5 @@
       {
         // generate the vhdl
-        log_printf(INFO,Register_unit_Glue,FUNCTION,"Generate the vhdl");
+        log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Generate the vhdl"),_name.c_str());
         
         vhdl();
@@ -73,5 +73,5 @@
         constant();
 #else
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - constant");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - constant"),_name.c_str());
 
     SC_METHOD (constant);
@@ -83,5 +83,5 @@
 #endif
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - transition");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - transition"),_name.c_str());
 
     SC_METHOD (transition);
@@ -93,5 +93,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_read");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_read"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_read);
@@ -131,5 +131,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_read_status");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_read_status"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_read_status);
@@ -161,5 +161,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_read_registerfile");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_read_registerfile"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_read_registerfile);
@@ -191,5 +191,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_write");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_write"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_write);
@@ -222,5 +222,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_write_status");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_write_status"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_write_status);
@@ -252,5 +252,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_gpr_write_registerfile");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_gpr_write_registerfile"),_name.c_str());
 
     SC_METHOD (genMealy_gpr_write_registerfile);
@@ -282,5 +282,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_read");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_read"),_name.c_str());
 
     SC_METHOD (genMealy_spr_read);
@@ -320,5 +320,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_read_status");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_read_status"),_name.c_str());
 
     SC_METHOD (genMealy_spr_read_status);
@@ -350,5 +350,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_read_registerfile");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_read_registerfile"),_name.c_str());
 
     SC_METHOD (genMealy_spr_read_registerfile);
@@ -380,5 +380,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_write");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_write"),_name.c_str());
 
     SC_METHOD (genMealy_spr_write);
@@ -411,5 +411,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_write_status");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_write_status"),_name.c_str());
 
     SC_METHOD (genMealy_spr_write_status);
@@ -441,5 +441,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_spr_write_registerfile");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_spr_write_registerfile"),_name.c_str());
 
     SC_METHOD (genMealy_spr_write_registerfile);
@@ -471,5 +471,5 @@
 #endif    
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_insert");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_insert"),_name.c_str());
 
     SC_METHOD (genMealy_insert);
@@ -477,36 +477,50 @@
 //     sensitive << (*(in_CLOCK)).neg();
     sensitive << (*(in_NRESET));
-    for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-      {
-	uint32_t x=_param->_nb_inst_insert_rob [i];
-	for (uint32_t j=0; j<x; j++)
-	  sensitive << *( in_INSERT_ROB_VAL            [i][j])
-		    << *( in_INSERT_ROB_RD_USE         [i][j]) 
-		    << *( in_INSERT_ROB_RE_USE         [i][j]) 
-		    << *( in_INSERT_ROB_GPR_STATUS_ACK [i][j])
-		    << *( in_INSERT_ROB_SPR_STATUS_ACK [i][j]);
-      }
-#ifdef SYSTEMCASS_SPECIFIC
-    // List dependency information
-    for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-      {
-	uint32_t x=_param->_nb_inst_insert_rob [i];
-	for (uint32_t j=0; j<x; j++)
-	  {
-	    (*(out_INSERT_ROB_ACK            [i][j]))(*( in_INSERT_ROB_GPR_STATUS_ACK [i][j]));
-	    (*(out_INSERT_ROB_ACK            [i][j]))(*( in_INSERT_ROB_SPR_STATUS_ACK [i][j]));
-
-	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_VAL            [i][j]));
-	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_RD_USE         [i][j])); 
-	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_SPR_STATUS_ACK [i][j]));
-
-	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_VAL            [i][j])); 
-	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_RE_USE         [i][j]));
-	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_GPR_STATUS_ACK [i][j]));
-	  }
-      }
-#endif    
-
-//     log_printf(INFO,Register_unit_Glue,FUNCTION,"Method - genMealy_retire");
+    for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
+      {
+	sensitive << *( in_ISSUE_VAL            [i])
+		  << *( in_ISSUE_RD_USE         [i]) 
+		  << *( in_ISSUE_RE_USE         [i]);
+
+	if (_param->_have_port_ooo_engine_id == true)
+        sensitive << *( in_ISSUE_OOO_ENGINE_ID [i]);
+
+	for (uint32_t j=0; j<_param->_nb_ooo_engine; ++j)
+	  sensitive << *( in_ISSUE_GPR_STATUS_ACK [j][i])
+		    << *( in_ISSUE_SPR_STATUS_ACK [j][i]);
+      }
+
+//     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//       {
+// 	uint32_t x=_param->_nb_inst_insert_rob [i];
+// 	for (uint32_t j=0; j<x; j++)
+// 	  sensitive << *( in_INSERT_ROB_VAL            [i][j])
+// 		    << *( in_INSERT_ROB_RD_USE         [i][j]) 
+// 		    << *( in_INSERT_ROB_RE_USE         [i][j]) 
+// 		    << *( in_INSERT_ROB_GPR_STATUS_ACK [i][j])
+// 		    << *( in_INSERT_ROB_SPR_STATUS_ACK [i][j]);
+//       }
+#ifdef SYSTEMCASS_SPECIFIC
+//     // List dependency information
+//     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//       {
+// 	uint32_t x=_param->_nb_inst_insert_rob [i];
+// 	for (uint32_t j=0; j<x; j++)
+// 	  {
+// 	    (*(out_INSERT_ROB_ACK            [i][j]))(*( in_INSERT_ROB_GPR_STATUS_ACK [i][j]));
+// 	    (*(out_INSERT_ROB_ACK            [i][j]))(*( in_INSERT_ROB_SPR_STATUS_ACK [i][j]));
+
+// 	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_VAL            [i][j]));
+// 	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_RD_USE         [i][j])); 
+// 	    (*(out_INSERT_ROB_GPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_SPR_STATUS_ACK [i][j]));
+
+// 	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_VAL            [i][j])); 
+// 	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_RE_USE         [i][j]));
+// 	    (*(out_INSERT_ROB_SPR_STATUS_VAL [i][j]))(*( in_INSERT_ROB_GPR_STATUS_ACK [i][j]));
+// 	  }
+//       }
+#endif    
+
+//     log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Method - genMealy_retire"),_name.c_str());
 
 //     SC_METHOD (genMealy_retire);
@@ -567,5 +581,5 @@
       }
 #endif
-    log_printf(FUNC,Register_unit_Glue,FUNCTION,"End");
+    log_printf(FUNC,Register_unit_Glue,FUNCTION,_("<%s> End"),_name.c_str());
   };
   
@@ -574,10 +588,10 @@
   Register_unit_Glue::~Register_unit_Glue (void)
   {
-    log_printf(FUNC,Register_unit_Glue,FUNCTION,"Begin");
+    log_printf(FUNC,Register_unit_Glue,FUNCTION,_("<%s> Begin"),_name.c_str());
 
 #ifdef STATISTICS
     if (usage_is_set(_usage,USE_STATISTICS))
       {
-        log_printf(INFO,Register_unit_Glue,FUNCTION,"Generate Statistics file");
+        log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Generate Statistics file"),_name.c_str());
         
         delete _stat;
@@ -585,8 +599,8 @@
 #endif
 
-    log_printf(INFO,Register_unit_Glue,FUNCTION,"Deallocation");
+    log_printf(INFO,Register_unit_Glue,FUNCTION,_("<%s> Deallocation"),_name.c_str());
     deallocation ();
 
-    log_printf(FUNC,Register_unit_Glue,FUNCTION,"End");
+    log_printf(FUNC,Register_unit_Glue,FUNCTION,_("<%s> End"),_name.c_str());
   };
 
